// (C) 1992-2015 Altera Corporation. All rights reserved.                         
// Your use of Altera Corporation's design tools, logic functions and other       
// software and tools, and its AMPP partner logic functions, and any output       
// files any of the foregoing (including device programming or simulation         
// files), and any associated documentation or information are expressly subject  
// to the terms and conditions of the Altera Program License Subscription         
// Agreement, Altera MegaCore Function License Agreement, or other applicable     
// license agreement, including, without limitation, that your use is for the     
// sole purpose of programming logic devices manufactured by Altera and sold by   
// Altera or its authorized distributors.  Please refer to the applicable         
// agreement for further details.                                                 
    


/* ===- acl_pcie_debug.cpp  ------------------------------------------- C++ -*-=== */
/*                                                                                 */
/*                         Altera OpenCL MMD Driver                                */
/*                                                                                 */
/* ===-------------------------------------------------------------------------=== */
/*                                                                                 */
/*                                                                                 */
/* ===-------------------------------------------------------------------------=== */

#include <stdio.h>
#include <stdlib.h>

int ACL_PCIE_DEBUG   = 0;
int ACL_PCIE_WARNING = 1;  // turn on the warning message by default

void set_mmd_debug()
{
   char * mmd_debug_var = getenv("ACL_PCIE_DEBUG");
   if (mmd_debug_var) {
      ACL_PCIE_DEBUG = atoi(mmd_debug_var);
      printf("\n:: MMD DEBUG LEVEL set to %d\n", ACL_PCIE_DEBUG );
   }
}

void set_mmd_warn_msg()
{
   char * mmd_warn_var = getenv("ACL_PCIE_WARNING");
   if(mmd_warn_var){
      ACL_PCIE_WARNING = atoi(mmd_warn_var);
   }
}

