#ifndef ACL_PCIE_TIMER_H
#define ACL_PCIE_TIMER_H

/* (C) 1992-2015 Altera Corporation. All rights reserved.                          */
/* Your use of Altera Corporation's design tools, logic functions and other        */
/* software and tools, and its AMPP partner logic functions, and any output        */
/* files any of the foregoing (including device programming or simulation          */
/* files), and any associated documentation or information are expressly subject   */
/* to the terms and conditions of the Altera Program License Subscription          */
/* Agreement, Altera MegaCore Function License Agreement, or other applicable      */
/* license agreement, including, without limitation, that your use is for the      */
/* sole purpose of programming logic devices manufactured by Altera and sold by    */
/* Altera or its authorized distributors.  Please refer to the applicable          */
/* agreement for further details.                                                  */
    


/* ===- acl_pcie_timer.h  --------------------------------------------- C++ -*-=== */
/*                                                                                 */
/*                         Altera OpenCL MMD Driver                                */
/*                                                                                 */
/* ===-------------------------------------------------------------------------=== */
/*                                                                                 */
/* This file declares the class to query the host's system timer.                  */
/* The actual implementation of the class lives in the acl_pcie_timer.cpp          */
/*                                                                                 */
/* ===-------------------------------------------------------------------------=== */

class ACL_PCIE_TIMER
{
   public:
      ACL_PCIE_TIMER();
      ~ACL_PCIE_TIMER();

      // function to query the host's system timer
      cl_ulong get_time_ns();

   private:
      INT64 m_ticks_per_second;
};

#endif   // ACL_PCIE_TIMER_H

