kernel void ex4( global float4* A, global float4 *B, unsigned N ) {
   size_t gid = get_global_id(0);
   float4 acc;
   acc.x = 0.0f;
   acc.y = 0.0f;
   acc.z = 0.0f;
   acc.w = 0.0f;
   for (int i = 0; i < N; i++) {
      acc += B[i];
   }
   A[gid].x += sin(acc.x);
   A[gid].y += acc.y;
   A[gid].z += acc.z;
   A[gid].w *= acc.w;
}
