kernel void ex6(global unsigned int *A, global unsigned int *B, global float *m, unsigned N)
{
    float4 r;
    unsigned p;
    for (int i=0; i < N; i++)
      p += A[get_global_id(0)+2*i] * B[get_global_id(0)+i];

    r.x = (p * N * N * N ) & 0xF0F0;
    r.y = (p >> 13) & 0xFF00;
    r.z = (p >> 16) & 0x00FF;
    r.w = (p >> 24) & 0xCCCC;
    m[get_global_id(0) * get_global_id(1)] = r.x * r.y - r.z * r.w;
}

