kernel void ex7(global float *A, global float *B, global float4 *m, unsigned N, global int *diff)
{
    float4 r;
    float p;
    p = A[get_global_id(0)+2*N] / B[get_global_id(0)+N];

    r.x = (p * p ) ;
    r.y = p / m[get_global_id(0)].x ;
    r.z = 0.6f * p ;
    r.w = p;
    m[get_global_id(0) * get_global_id(1)] = r;
    diff[get_global_id(0)] -= N;
}

