kernel void ex8(global int *A, global int *B, global int *m, unsigned N, global int *diff)
{
    float4 r;
    float p;
    p = A[get_global_id(0)+2*N] / B[get_global_id(0)+N];

    __local unsigned bh[4];
    __local uchar *lh = bh;

    for (uint i=0; i < 9; i++) lh[i] = 0;
    barrier(CLK_LOCAL_MEM_FENCE);

    for(uint pos = get_global_id(0); pos < N; pos += get_global_size(0)){
        bh[pos % 4] = A[pos];
    }
    barrier(CLK_LOCAL_MEM_FENCE);
    m[get_global_id(0)] = lh[0] + lh[1] +  lh[2];
}

