kernel void ex9( global float* A, global float4 *B, unsigned N, unsigned M ) {
   size_t gid = get_global_id(0) << M;
   float4 acc;
   acc.x = 0.0f;
   acc.y = 0.0f;
   acc.z = 0.0f;
   acc.w = 0.0f;
   for (int i = 0; i < N; i++) {
      acc += B[i];
   }
   A[gid] += acc.x * acc.y * sqrt(acc.z * acc.w);
}
