# (C) 1992-2015 Altera Corporation. All rights reserved.                         
# Your use of Altera Corporation's design tools, logic functions and other       
# software and tools, and its AMPP partner logic functions, and any output       
# files any of the foregoing (including device programming or simulation         
# files), and any associated documentation or information are expressly subject  
# to the terms and conditions of the Altera Program License Subscription         
# Agreement, Altera MegaCore Function License Agreement, or other applicable     
# license agreement, including, without limitation, that your use is for the     
# sole purpose of programming logic devices manufactured by Altera and sold by   
# Altera or its authorized distributors.  Please refer to the applicable         
# agreement for further details.                                                 
    

#**************************************************************
# Create Generated Clock
#**************************************************************
derive_pll_clocks 

#**************************************************************
# Set Clock Uncertainty
#**************************************************************
derive_clock_uncertainty

#**************************************************************
# Set Clock Groups
#**************************************************************
set_clock_groups -asynchronous \
-group { \
   config_clk \
} -group { \
   Mem0_RefClk \
} -group { \
   Mem1_RefClk \
} -group { \
   pcie_refclk \
   [get_clocks {system_inst|acl_iface|pcie|*}] \
} -group { \
   [get_clocks {system_inst|acl_iface|acl_kernel_clk|kernel_pll|*}] \
} -group { \
   altera_reserved_tck \
} -group { \
    Mem0_Ck \
    Mem0_Ck_n \
    Mem0_Dqs[0]_IN \
    Mem0_Dqs[0]_OUT \
    Mem0_Dqs[1]_IN \
    Mem0_Dqs[1]_OUT \
    Mem0_Dqs[2]_IN \
    Mem0_Dqs[2]_OUT \
    Mem0_Dqs[3]_IN \
    Mem0_Dqs[3]_OUT \
    Mem0_Dqs[4]_IN \
    Mem0_Dqs[4]_OUT \
    Mem0_Dqs[5]_IN \
    Mem0_Dqs[5]_OUT \
    Mem0_Dqs[6]_IN \
    Mem0_Dqs[6]_OUT \
    Mem0_Dqs[7]_IN \
    Mem0_Dqs[7]_OUT \
    Mem0_Dqs_n[0]_OUT \
    Mem0_Dqs_n[1]_OUT \
    Mem0_Dqs_n[2]_OUT \
    Mem0_Dqs_n[3]_OUT \
    Mem0_Dqs_n[4]_OUT \
    Mem0_Dqs_n[5]_OUT \
    Mem0_Dqs_n[6]_OUT \
    Mem0_Dqs_n[7]_OUT \
    [get_clocks {system_inst|acl_iface|ddr3a|*}] \
} -group { \
    Mem1_Ck \
    Mem1_Ck_n \
    Mem1_Dqs[0]_IN \
    Mem1_Dqs[0]_OUT \
    Mem1_Dqs[1]_IN \
    Mem1_Dqs[1]_OUT \
    Mem1_Dqs[2]_IN \
    Mem1_Dqs[2]_OUT \
    Mem1_Dqs[3]_IN \
    Mem1_Dqs[3]_OUT \
    Mem1_Dqs[4]_IN \
    Mem1_Dqs[4]_OUT \
    Mem1_Dqs[5]_IN \
    Mem1_Dqs[5]_OUT \
    Mem1_Dqs[6]_IN \
    Mem1_Dqs[6]_OUT \
    Mem1_Dqs[7]_IN \
    Mem1_Dqs[7]_OUT \
    Mem1_Dqs_n[0]_OUT \
    Mem1_Dqs_n[1]_OUT \
    Mem1_Dqs_n[2]_OUT \
    Mem1_Dqs_n[3]_OUT \
    Mem1_Dqs_n[4]_OUT \
    Mem1_Dqs_n[5]_OUT \
    Mem1_Dqs_n[6]_OUT \
    Mem1_Dqs_n[7]_OUT \
    [get_clocks {system_inst|acl_iface|ddr3b|*}] \
}

#**************************************************************
# Set False Path
#**************************************************************


#**************************************************************
# Iface generation optimizations
#**************************************************************
# Optionally overconstrain the kernel clock in the iface or relax the kernel
#if { $::TimeQuestInfo(nameofexecutable) == "quartus_fit" } {
#set non_iface_keepers [remove_from_collection [get_keepers *] [get_keepers system_inst\|acl_iface\|*]]
#set_max_delay 3.5 -from $non_iface_keepers -to $non_iface_keepers
#}

